## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name coincurve

Name:          python-%{pypi_name}
Version:       19.0.0
Release:       %autorelease
Summary:       Cross-platform Python bindings for libsecp256k1
License:       MIT and (MIT or Apache-2.0)
URL:           https://github.com/ofek/coincurve
VCS:           git:%{url}.git
Source0:       %{pypi_source %{pypi_name}}
# Fedora-specific.
Patch1:        python-coincurve-0001-Re-add-tests-forgotten-in-PyPi.patch
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gcc
BuildRequires: libtool
BuildRequires: make
BuildRequires: python3-devel
BuildRequires: python3-pytest
BuildRequires: tox
Provides: bundled(libsecp256k1)

%description
%{summary}.

%package -n python3-%{pypi_name}
Summary: %{summary}

%description -n python3-%{pypi_name}
%{summary}.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
rm -rf docs/.scripts docs/.snippets docs/assets

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pyproject_check_import
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE-MIT LICENSE-APACHE
%doc README.md

%changelog
## START: Generated by rpmautospec
* Wed Nov 06 2024 Peter Lemenkov <lemenkov@gmail.com> - 19.0.0-1
- Initial build for f40/f39
## END: Generated by rpmautospec
